Subject: Re: [SWIPL] SWI-cpp.h throwing an exception for an unknown reason.

From: Jan Wielemaker <[email-masked]>
Date: Thu, 13 Dec 2001 10:53:58 +0100

> This class keeps throwing an exception and I don't know why.  It happens on
> line 20:
> 
> PlTermv av(10);
> 
> I have no idea why this is occuring and any help would be useful.

The program is incomplete, which makes testing a bit hard.  Generally
this problem is caused by the engine failed to load or already destroyed
or, if you call Prolog in a loop, failing to reclaim term-handles using
PlFrame.  See manual.

	Cheers --- Jan